# Detach a contact from a group conversation

You can remove participants who are contacts from a group conversation, on behalf of an admin.
You cannot remove the last remaining contact from a conversation.

Endpoint: DELETE /conversations/{conversation_id}/customers/{contact_id}
Version: 2.7
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `conversation_id` (string, required)
    The identifier for the conversation as given by Intercom.

  - `contact_id` (string, required)
    The identifier for the contact as given by Intercom.

## Header parameters:

  - `Intercom-Version` (string)

## Request fields (application/json):

  - `admin_id` (string, required)
    The `id` of the admin who is performing the action.
    Example: 5017690

## Request examples:

  - `Detach a contact from a group conversation` (unknown)

  - `Conversation not found` (unknown)

  - `Contact not found` (unknown)

  - `Last customer` (unknown)

## Response 200:

  - `200` (unknown)
    Detach a contact from a group conversation

## Response 200 fields (application/json):

  - `customers` (array, required)
    The conversation participants after the change
    Example: [{"type":"user","id":"6762f1a61bb69f9f2193bbd8"}]

  - `customers.type` (string, required)
    The role of the participant. Can be "user" or "lead"
    Example: user

  - `customers.id` (string, required)
    The unique identifier for the participant
    Example: 6762f1a61bb69f9f2193bbd8

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 403:

  - `403` (unknown)
    API plan restricted

## Response 403 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 404:

  - `404` (unknown)
    Contact not found

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 422:

  - `422` (unknown)
    Last customer

## Response 422 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 200 examples:

  - `Detach a contact from a group conversation` (unknown)

## Response 401 examples:

  - `Unauthorized` (unknown)

## Response 403 examples:

  - `API plan restricted` (unknown)

## Response 404 examples:

  - `Conversation not found` (unknown)

  - `Contact not found` (unknown)

## Response 422 examples:

  - `Last customer` (unknown)

